> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pachtify360.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a lease account



## OpenAPI

````yaml /openapi.yaml put /pachtkonten/{id}
openapi: 3.1.0
info:
  title: Api
  version: 2.1.4
  description: Pachtify360 API specification
servers:
  - url: /api
    description: Base API path
security:
  - cookieAuth: []
tags:
  - name: health
    description: Health operations
  - name: pachtkonten
    description: Lease account management
  - name: patchobjekte
    description: Patch object management
  - name: kontakte
    description: Contact management
  - name: abrechnung
    description: Billing and invoicing
  - name: audit
    description: Audit log management
  - name: dashboard
    description: Dashboard summary data
  - name: duplikate
    description: Duplicate detection and merge
  - name: einstellungen
    description: Application settings
paths:
  /pachtkonten/{id}:
    put:
      tags:
        - pachtkonten
      summary: Update a lease account
      operationId: updatePachtkonto
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePachtkontoBody'
      responses:
        '200':
          description: Updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Pachtkonto'
components:
  schemas:
    UpdatePachtkontoBody:
      type: object
      properties:
        bezeichnung:
          type: string
        pachter:
          type: string
        pachtbeginn:
          type: string
          format: date
        pachtende:
          type: string
          format: date
          nullable: true
        istVorauszahlend:
          type: boolean
          nullable: true
          description: >-
            Zahlungszeitpunkt des Pachtkontos; true = vorauszahlend, false =
            nachzahlend
        geplanteSchlussabrechnung:
          type: string
          format: date
          nullable: true
          description: Datum bis zu dem abgerechnet werden soll (Schlussabrechnung)
        pachtobjektId:
          type: integer
          nullable: true
        status:
          type: string
          enum:
            - aktiv
            - inaktiv
            - gekuendigt
            - ausgelaufen
        kontaktId:
          type: integer
          nullable: true
        verpachterId:
          type: integer
          nullable: true
        paechterKontaktId:
          type: integer
          nullable: true
        kategorie:
          type: string
          nullable: true
        kurzbezeichnung:
          type: string
          nullable: true
        hebungsMonate:
          type: string
          nullable: true
        belegdruckVerpaechter:
          type: boolean
          nullable: true
        belegdruckPaechter:
          type: boolean
          nullable: true
        notizen:
          type: string
          nullable: true
        hebegebuehr:
          type: number
          nullable: true
        ustProzent:
          type: number
          nullable: true
        hebegebuehrZahlt:
          type: string
          nullable: true
    Pachtkonto:
      type: object
      properties:
        id:
          type: integer
        kontonummer:
          type: string
        bezeichnung:
          type: string
        pachter:
          type: string
        pachtbeginn:
          type: string
          format: date
        pachtende:
          type: string
          format: date
          nullable: true
        geplanteSchlussabrechnung:
          type: string
          format: date
          nullable: true
          description: Datum bis zu dem abgerechnet werden soll (Schlussabrechnung)
        status:
          type: string
          enum:
            - aktiv
            - inaktiv
            - gekuendigt
            - ausgelaufen
        kontaktId:
          type: integer
          nullable: true
        verpachterId:
          type: integer
          nullable: true
        paechterKontaktId:
          type: integer
          nullable: true
        kategorie:
          type: string
          nullable: true
        kurzbezeichnung:
          type: string
          nullable: true
        zahlungsart:
          type: string
          nullable: true
        istVorauszahlend:
          type: boolean
          nullable: true
          description: >-
            Zahlungszeitpunkt des Pachtkontos; true = vorauszahlend, false oder
            null = nachzahlend
        hebungsMonate:
          type: string
          nullable: true
          description: JSON array of month names
        belegdruckVerpaechter:
          type: boolean
          nullable: true
        belegdruckPaechter:
          type: boolean
          nullable: true
        notizen:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - kontonummer
        - bezeichnung
        - pachter
        - pachtbeginn
        - status
        - createdAt
        - updatedAt
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: pachtify360.sid
      description: Serverseitige Anwendungssitzung nach Microsoft-Anmeldung.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.